This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 848588 - (CVE-2012-4298) CVE-2012-4298 wireshark: buffer overflow in Ixia IxVeriWave file parser (wnpa-sec-2012-25)
CVE-2012-4298 wireshark: buffer overflow in Ixia IxVeriWave file parser (wnpa...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120815,repor...
: Security
Depends On: 848589
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-15 18:00 EDT by Vincent Danen
Modified: 2014-04-25 12:35 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-25 12:35:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2012-08-15 18:00:41 EDT
It may be possible to make Wireshark crash, hang, or execute code by convincing someone to read a malformed packet trace file.

Affects 1.8.0 to 1.8.1 and is fixed in upstream 1.8.2 version.

http://www.wireshark.org/security/wnpa-sec-2012-25.html
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7533
http://anonsvn.wireshark.org/viewvc?view=revision&revision=44074
http://anonsvn.wireshark.org/viewvc?view=revision&revision=44075

Statement:

This issue did not affect the versions of wireshark as shipped with Red Hat Enterprise Linux 5 or 6.
Comment 1 Vincent Danen 2012-08-15 18:03:19 EDT
Created wireshark tracking bugs for this issue

Affects: fedora-rawhide [bug 848589]
Comment 2 Fedora Update System 2012-09-17 18:53:31 EDT
wireshark-1.8.2-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.